%define name php-pear-Cache
%define rname Cache
%define version 1.5.4
%define rversion 1.5.4
%define release 1mdk

%define pear_phpdir %{_datadir}/pear
%define pear_docdir %{_datadir}/pear/docs
%define pear_extdir %{_libdir}/php/extensions
%define pear_datadir %{_datadir}/pear/data
%define pear_testdir %{_datadir}/pear/tests

Summary: Framework for caching of arbitrary data
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{rname}-%{version}.tar.bz2
License:   PHP License
Group:     Development/Other
Url:       http://pear.php.net/package/Cache
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
PreReq:    php-pear
Requires: php-pear-HTTP_Request
%description
With the PEAR Cache you can cache the result of certain function
calls, as well as the output of a whole script run or share data
between applications.

%prep
%setup -q -n %rname-%rversion
mv ../package.xml .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}
cp Cache.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache.php
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/Cache
cp Application.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Application.php
cp Container.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Container.php
cp Error.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Error.php
cp Function.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Function.php
cp Graphics.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Graphics.php
cp HTTP_Request.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/HTTP_Request.php
cp Output.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Output.php
cp OutputCompression.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/OutputCompression.php
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Container
cp Container/db.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Container/db.php
cp Container/dbx.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Container/dbx.php
cp Container/mdb.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Container/mdb.php
mkdir -p $RPM_BUILD_ROOT%{pear_datadir}/Cache/Container
cp Container/mdb_cache_schema.xml $RPM_BUILD_ROOT%{pear_datadir}/Cache/Container/mdb_cache_schema.xml
cp Container/file.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Container/file.php
cp Container/msession.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Container/msession.php
cp Container/phplib.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Container/phplib.php
cp Container/shm.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Container/shm.php
cp Container/trifile.php $RPM_BUILD_ROOT%{pear_phpdir}/Cache/Container/trifile.php

find $RPM_BUILD_ROOT -type f -exec sed -i 's|^#!/usr/local/bin/php|#!/usr/bin/php|' {} \;
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/packages
cp package.xml $RPM_BUILD_ROOT%{pear_phpdir}/packages/%{rname}.xml

%post
pear install -r -n %{pear_phpdir}/packages/%{rname}.xml

%preun
pear uninstall -r -n %{rname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{pear_phpdir}/Cache
%dir %{pear_phpdir}/Cache/Container
%dir %{pear_datadir}/Cache/Container
%{pear_phpdir}/Cache.php
%{pear_phpdir}/Cache/Application.php
%{pear_phpdir}/Cache/Container.php
%{pear_phpdir}/Cache/Error.php
%{pear_phpdir}/Cache/Function.php
%{pear_phpdir}/Cache/Graphics.php
%{pear_phpdir}/Cache/HTTP_Request.php
%{pear_phpdir}/Cache/Output.php
%{pear_phpdir}/Cache/OutputCompression.php
%{pear_phpdir}/Cache/Container/db.php
%{pear_phpdir}/Cache/Container/dbx.php
%{pear_phpdir}/Cache/Container/mdb.php
%{pear_datadir}/Cache/Container/mdb_cache_schema.xml
%{pear_phpdir}/Cache/Container/file.php
%{pear_phpdir}/Cache/Container/msession.php
%{pear_phpdir}/Cache/Container/phplib.php
%{pear_phpdir}/Cache/Container/shm.php
%{pear_phpdir}/Cache/Container/trifile.php
%{pear_phpdir}/packages/%{rname}.xml

%changelog
* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.5.4-1mdk

- First mdk package

